--- roundupdb.py.original	2006-10-11 11:40:14.000000000 +0100
+++ roundupdb.py	2006-11-07 15:21:25.000000000 +0000
@@ -497,4 +497,8 @@
                 value.sort()
                 value = ', '.join(value)
+            else:
+                value = str(value)
+                if '\n' in value:
+                    value = '\n'+self.indentChangeNoteValue(value)
             m.append('%s: %s'%(propname, value))
         m.insert(0, '----------')
@@ -588,4 +592,7 @@
             else:
                 change = '%s -> %s'%(oldvalue, value)
+                if '\n' in change:
+                    change = '\nNow:\n%s\nWas:\n%s' % (self.indentChangeNoteValue(str(value)),
+                                                         self.indentChangeNoteValue(str(oldvalue)) )
             m.append('%s: %s'%(propname, change))
         if m:
@@ -594,3 +601,8 @@
         return '\n'.join(m)
 
+    def indentChangeNoteValue(self,text):
+        lines = text.rstrip('\n').split('\n')
+        lines = [ '  '+line for line in lines ]
+        return '\n'.join(lines)
+
 # vim: set filetype=python sts=4 sw=4 et si :

 	  	 
